0 Replies Latest reply on Feb 29, 2016 6:56 AM by ianr84214734

    When I try to access Digital Editions on my tablet, which has Internet Explorer 11, the message that Internet Explorer 9 or higher is required. Why?

    ianr84214734

       

      When I try to access Digital Editions on my tablet, which already has Internet Explorer 11, the following message appears:

      Adobe ID Non-supported browser Adobe Account Management requires Internet Explorer 9 or higher. Please update your browser. You can do this by going to http://whatbrowser.org/, a site operated by Google.

      Why?

       

      (I have no problem trying to access Digital Editions on my laptop).